Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlParam

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlParam

All Implemented Interfaces:
  idlObject, idlParameter, java.io.Serializable

public class IdlParam
extends IdlObject
implements idlParameter

Cette classe represente l'objet IDL Param

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:22 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Fields inherited from interface org.openorb.compiler.idl.reflect.idlParameter
`PARAM_IN, PARAM_INOUT, PARAM_OUT`

Constructor Summary
`IdlParam(IdlObject father)` Cree un objet IDL Param

Method Summary
`java.util.Enumeration` | `content()` Return this idlObject content
`int` | `param_attr()` Retourne l'attribut du parametre
`void` | `param_attr(int val)` Fixe l'attribut du parametre
`int` | `paramMode()` Return the parameter mode
`idlObject` | `paramType()` Return the parameter type

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlParam

    public IdlParam(IdlObject father)

  Cree un objet IDL Param

Method Detail

### param_attr

    public int param_attr()

  Retourne l'attribut du parametre
  Returns:
    l'attribut

### param_attr

    public void param_attr(int val)

  Fixe l'attribut du parametre
  Parameters:
    `val` - l'attribut

### paramMode

    public int paramMode()

  Description copied from interface: `idlParameter`
  Return the parameter mode
  Specified by:
    `paramMode` in interface `idlParameter`

### paramType

    public idlObject paramType()

  Description copied from interface: `idlParameter`
  Return the parameter type
  Specified by:
    `paramType` in interface `idlParameter`

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD